Skip to content

Generate a batch label PDF

POST
/api/v5/bookings/labels/batch
object
ids
required

Booking ids to include in the batch document (1-50).

Array<integer>
>= 1 items <= 50 items
format

Label format: “standard” (A4) or “a6”; defaults to standard.

string
default: standard
Allowed values: standard a6

Binary batch label PDF response

No labels are ready

object
error
required

Error code or short reason the document could not be produced.

string
message

Human-readable explanation of the error.

string
booking_id

Booking the document request related to.

number
status

Booking status at the time of the error.

string

Missing or invalid API key

One or more bookings do not belong to the caller

object
error
required

Error code or short reason the document could not be produced.

string
message

Human-readable explanation of the error.

string
booking_id

Booking the document request related to.

number
status

Booking status at the time of the error.

string

No bookings found

object
error
required

Error code or short reason the document could not be produced.

string
message

Human-readable explanation of the error.

string
booking_id

Booking the document request related to.

number
status

Booking status at the time of the error.

string